# 32/64 spec
#
Name: 		wuala
Version: 	20130806
Release: 	%mkrel 2
Summary: 	Online backup client
Group:   	Networking/WWW
License: 	GPL
URL:     	http://www.wuala.com/en/download/linux
Source:  	%name.tar.xz
Source1:	%name.png
Requires:	java >= 1.7
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version

%description
Wuala is secure online storage, a haven in the
cloud to store your files. You can safely access
and share your files with friends, family, and co-workers.

1 GB free. Other options available for a price.
#german
%description -l de
Wuala ist ein sicherer Online-Speicher, eine Oase in der
Wolke, um Ihre Dateien zu speichern. Sie können sicher zugreifen
und verteilen Ihre Dateien mit Freunden, Familie und Kollegen.

1 GB frei Weitere Möglichkeiten gibt es für einen Aufpreis.


%prep

%setup -q -n %name

%build

%install

export DONT_STRIP=1
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}/%{name}
mkdir -p %buildroot/%_datadir/pixmaps

#icons	
install -m 644 %SOURCE1 %buildroot/%_datadir/pixmaps/%{name}.png

cp -af * %{buildroot}/%{_libdir}/%{name}/


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Wuala
Comment=Backup Storage
Exec=%{_bindir}/%{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;X-MandrivaLinux-Internet-RemoteAccess;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
cd %{_libdir}/%{name}
./wuala
cd ..
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%version

%post 
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
# create directory on non-KDE systems
for idx in $SYSUSERS 
 do INP1= mkdir -p /home/$idx/.local/share/applications;done
for idx in $SYSUSERS 
 do INP1= chown -R $idx.`id -gn $idx` /home/$idx/.local;done
mkdir -p /etc/skel/.local/share/applications
 
for idx in $SYSUSERS 
 do INP1= /bin/cp -f %{_datadir}/applications/%{name}.desktop /home/$idx/.local/share/applications/%{name}.desktop ;done
for idx in $SYSUSERS 
 do INP1= chown $idx.`id -gn $idx` /home/$idx/.local/share/applications/%{name}.desktop; done
/bin/cp -f %{_datadir}/applications/%{name}.desktop /etc/skel/.local/share/applications/%{name}.desktop
/sbin/ldconfig
%{update_desktop_database}

%postun 
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS 
 do INP1= /bin/rm -f /home/$idx/.local/share/applications/%{name}.desktop; done
/bin/rm -f /etc/skel/.local/share/applications/%{name}.desktop
/sbin/ldconfig
%{clean_desktop_database}

%files
%defattr(-,root,root,0755)
%_bindir/%name
%{_libdir}/%{name}/*
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Aug 19 2013 pinoc <vogtpet at gmail.com> 20130806-2pclos2013
- fixed desktop file setup

* Mon Aug 12 2013 pinoc <vogtpet at gmail.com> 20130806-1pclos2013
- 20130806

* Mon May 06 2013 Texstar <texstar at gmail.com> 20130505-1pclos2013
- update

* Sat Jul 07 2012 Neal <nealbrks0 at gmail dot com> 20120706-1pclos2012
- process

* Fri Jul 06 2012 leiche <meisssw01 at gmail.com> 20120706-1pclos2012
- update, and import to 64bit

* Wed Sep 22 2010 Texstar <texstar at gmail.com> 20100526-1pclos2010
- create package

